MagicWP Docs
Sites

Preview what pushing staging to live will change

GET
/v1/sites/{site_id}/staging/push-preview

Permission: site.staging

Authorization

apiToken
headerAuthorizationBearer <token>

An API token (mwp_…) from Settings → API tokens. Only accepted on this host.

Path Parameters

site_id*Site Id
Formatuuid

Response Body

Successful Response

application/json
  1. response
success*boolean
data*

The result; on an error, details such as code and permission.

message*string
status_code*integer
timestamp*string
Formatdate-time
meta?|null
curl -X GET "https://example.com/v1/sites/497f6eca-6276-4993-bfeb-53cbbbba6f08/staging/push-preview"
{  "message": "string",  "status_code": 0,  "timestamp": "2019-08-24T14:15:22Z",  "meta": {},  "success": true,  "data": {    "confirmation_required": "string",    "can_push": true,    "blocked_reason": null,    "copied_at": null,    "revert_days": 0,    "warnings": [      "string"    ]  }}